/**
 * This class is generated by jOOQ
 */
package com.flamesgroup.storage.jooq.tables;


import com.flamesgroup.storage.jooq.Public;
import com.flamesgroup.storage.jooq.tables.records.PhoneNumberPrefixConfigRecord;

import org.jooq.Field;
import org.jooq.Table;
import org.jooq.TableField;
import org.jooq.impl.TableImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class PhoneNumberPrefixConfig extends TableImpl<PhoneNumberPrefixConfigRecord> {

	private static final long serialVersionUID = -667013856;

	/**
	 * The reference instance of <code>public.phone_number_prefix_config</code>
	 */
	public static final PhoneNumberPrefixConfig PHONE_NUMBER_PREFIX_CONFIG = new PhoneNumberPrefixConfig();

	/**
	 * The class holding records for this type
	 */
	@Override
	public Class<PhoneNumberPrefixConfigRecord> getRecordType() {
		return PhoneNumberPrefixConfigRecord.class;
	}

	/**
	 * The column <code>public.phone_number_prefix_config.enable</code>.
	 */
	public final TableField<PhoneNumberPrefixConfigRecord, Boolean> ENABLE = createField("enable", org.jooq.impl.SQLDataType.BOOLEAN.nullable(false), this, "");

	/**
	 * The column <code>public.phone_number_prefix_config.default_prefix</code>.
	 */
	public final TableField<PhoneNumberPrefixConfigRecord, String> DEFAULT_PREFIX = createField("default_prefix", org.jooq.impl.SQLDataType.CLOB.nullable(false), this, "");

	/**
	 * Create a <code>public.phone_number_prefix_config</code> table reference
	 */
	public PhoneNumberPrefixConfig() {
		this("phone_number_prefix_config", null);
	}

	/**
	 * Create an aliased <code>public.phone_number_prefix_config</code> table reference
	 */
	public PhoneNumberPrefixConfig(String alias) {
		this(alias, PHONE_NUMBER_PREFIX_CONFIG);
	}

	private PhoneNumberPrefixConfig(String alias, Table<PhoneNumberPrefixConfigRecord> aliased) {
		this(alias, aliased, null);
	}

	private PhoneNumberPrefixConfig(String alias, Table<PhoneNumberPrefixConfigRecord> aliased, Field<?>[] parameters) {
		super(alias, Public.PUBLIC, aliased, parameters, "");
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public PhoneNumberPrefixConfig as(String alias) {
		return new PhoneNumberPrefixConfig(alias, this);
	}

	/**
	 * Rename this table
	 */
	public PhoneNumberPrefixConfig rename(String name) {
		return new PhoneNumberPrefixConfig(name, null);
	}
}
